org.jbpm.kie.services.impl.model

## Class ProcessInstanceCustomDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.ProcessInstanceDesc
  - - org.jbpm.kie.services.impl.model.ProcessInstanceWithVarsDesc
    - - org.jbpm.kie.services.impl.model.ProcessInstanceCustomDesc

- All Implemented Interfaces:
    Serializable, ProcessInstanceCustomDesc, ProcessInstanceDesc, ProcessInstanceWithVarsDesc

      public class ProcessInstanceCustomDesc
      extends ProcessInstanceWithVarsDesc
      implements ProcessInstanceCustomDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceCustomDesc()`
    `ProcessInstanceCustomDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId, Date lastModificationDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getLastModificationDate()` Returns the process instance custom description last modification date.
    `void` | `setLastModificationDate(Date lastModificationDate)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.ProcessInstanceWithVarsDesc

      `addVariable, getExtraData, getVariables, setExtraData, setVariables`

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.ProcessInstanceDesc

      `getActiveTasks, getCorrelationKey, getDataTimeStamp, getDeploymentId, getId, getInitiator, getParentId, getProcessId, getProcessInstanceDescription, getProcessName, getProcessVersion, getSlaCompliance, getSlaDueDate, getState, setActiveTasks, setCorrelationKey, setDeploymentId, setInitiator, setParentId, setProcessInstanceDescription, setSlaCompliance, setSlaDueDate, setState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.ProcessInstanceWithVarsDesc

      `getExtraData, getVariables`

    - ### Methods inherited from interface org.jbpm.services.api.model.ProcessInstanceDesc

      `getActiveTasks, getCorrelationKey, getDataTimeStamp, getDeploymentId, getId, getInitiator, getParentId, getProcessId, getProcessInstanceDescription, getProcessName, getProcessVersion, getSlaCompliance, getSlaDueDate, getState`

- - ### Constructor Detail

    - #### ProcessInstanceCustomDesc

          public ProcessInstanceCustomDesc()

    - #### ProcessInstanceCustomDesc

          public ProcessInstanceCustomDesc(long id,
                                           String processId,
                                           String processName,
                                           String processVersion,
                                           int state,
                                           String deploymentId,
                                           Date dataTimeStamp,
                                           String initiator,
                                           String processInstanceDescription,
                                           String correlationKey,
                                           Long parentId,
                                           Date lastModificationDate)

  - ### Method Detail

    - #### getLastModificationDate

          public Date getLastModificationDate()

      Description copied from interface: `ProcessInstanceCustomDesc`
      Returns the process instance custom description last modification date.
      Specified by:
        `getLastModificationDate` in interface `ProcessInstanceCustomDesc`
      Returns:
        last modification date

    - #### setLastModificationDate

          public void setLastModificationDate(Date lastModificationDate)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.